Package: org.grails.cli.profile.commands.events

## [Groovy] Class EventStorage

- org.grails.cli.profile.commands.events.EventStorage

-     @groovy.transform.CompileStatic
      class EventStorage
      extends java.lang.Object

  Stores command line events

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.Map<java.lang.String, java.util.Collection<groovy.lang.Closure>>` | `eventListeners` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EventStorage ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `fireEvent(java.lang.Object caller, java.lang.String eventName, java.lang.Object[] args)`
    `` | `static void` | `registerEvent(java.lang.String eventName, groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static java.util.Map<java.lang.String, java.util.Collection<groovy.lang.Closure>> eventListeners

  - ### Constructor Detail

    - #### EventStorage()

  - ### Method Detail

    - #### static void fireEvent(java.lang.Object caller, java.lang.String eventName, java.lang.Object[] args)

    - #### static void registerEvent(java.lang.String eventName, groovy.lang.Closure callable)